%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name django-pipeline

Name:           python-%{pypi_name}
Version:        1.6.8
Release:        4%{?dist}
Summary:        An asset packaging library for Django

Group:          Applications/Internet
License:        MIT
URL:            https://github.com/jazzband/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Pipeline is an asset packaging library for Django, providing both CSS
and JavaScript concatenation and compression, built-in JavaScript template
support, and optional data-URI image and font embedding

%package -n python2-%{pypi_name}
Summary:        Packaging library for Django - Python 2 version
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-django
Requires:       python-futures >= 2.1.3

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Pipeline is an asset packaging library for Django, providing both CSS
and JavaScript concatenation and compression, built-in JavaScript template
support, and optional data-URI image and font embedding.
This package provides Python 2 build of %{pypi_name}.

%if 0%{?with_python3}

%package -n python3-%{pypi_name}
Summary:        Packaging library for Django - Python 3 version
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-django

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pipeline is an asset packaging library for Django, providing both CSS
and JavaScript concatenation and compression, built-in JavaScript template
support, and optional data-URI image and font embedding.
This package provides Python 3 build of %{pypi_name}.
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
# Remove the "tests" subdirectory to avoid it polluting the main python
# namespace:
rm -rf %{buildroot}%{python2_sitelib}/tests
%if 0%{?with_python3}
rm -rf %{buildroot}%{python3_sitelib}/tests
%endif
%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/django_pipeline*.egg-info/
%{python2_sitelib}/pipeline/

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/django_pipeline*.egg-info/
%{python3_sitelib}/pipeline/
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.6.8-2
- Rebuild for Python 3.6

* Fri Jul 29 2016 Jan Beran <jberan@redhat.com> - 1.6.8-1
- update to version 1.6.8
- url and source update
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.24-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Stephen Gallagher <sgallagh@redhat.com> 1.3.24-1
- Upgrade to latest upstream release 1.3.24
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Thu Apr 03 2014 Stephen Gallagher <sgallagh@redhat.com> 1.3.23-1
- Upgrade to latest upstream release 1.3.23
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Wed Jan 22 2014 Stephen Gallagher <sgallagh@redhat.com> - 1.3.20-2
- Upgrade to latest upstream release 1.3.20
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.2.24-2
- Bumping release for rebuild

* Mon Jan 28 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.2.24-1
- Upgrade to latest upstream release 1.2.24
- Fix yui/yuglify settings overriding each other
- Separate yuglify compressor from YUI compressor
- Improve HTML compression middleware
- Better compressor error messages
- Improve installation documentation
- Fix packaging metadata
- Add documentation about non-packing storage

* Thu Dec 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.21-1
- Upgrade to latest upstream release 1.2.21

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.17-1
- Upgrade to latest upstream release
- Support for more compressors:
-   SlimIt
-   Closure
-   CSSTidy
-   cssmin

* Mon Aug 06 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-3
- Initial release
- Add django_pipeline to Fedora to support Review Board 1.7

